.preparationTime__container {
  width: 100%;
  position: relative;
  display: flex;
}

.preparationTime__input {
  all: unset;
  box-sizing: border-box;
  height: 2.65rem;
  width: 100%;
  padding: 0.5em 0.8em;
  border-radius: 2px;
  font-size: 1.2rem;
  background-color: rgb(255, 255, 255);
}

.preparationTime__input:focus {
  outline: 2px solid var(--clr-dark-brown);
}

.preparationTime__container:focus-within .preparationTime__label {
  background-color: var(--clr-dark-brown);
}

.preparationTime__clockBtn {
  all: unset;
  box-sizing: border-box;
  width: 20%;
  height: 2rem;
  position: absolute;
  right: 5px;
  top: 47px;
  padding: 0.4em;
  border-radius: 2px;
  color: #ffffff;
  background-color: var(--clr-dark-brown);
  font-weight: bold;
  text-align: center;
  cursor: pointer;
  transition: all 200ms linear;
}

.preparationTime__clockBtn:hover {
  color: white;
  background-color: #3f2c22;
}

.preparationTime__clockBtn:active {
  background-color: #22140d;
}

@media (max-width: 470px) {
  .preparationTime__clockBtn {
    width: 30%;
  }
}
